<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imgettransform</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imfuse.html">&lt;&lt; imfuse</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_c6b4f04b7f17c60d11c80f2259ac5c53.html">Image Registration and Image Fusion</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imphasecorr.html">imphasecorr &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_c6b4f04b7f17c60d11c80f2259ac5c53.html">Image Registration and Image Fusion</a> &gt; imgettransform</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imgettransform</h1>
    <p class="refpurpose">Get transformation matrix from given source and destination points</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">mat</span><span class="default"> = </span><span class="functionid">imgettransform</span><span class="default">(</span><span class="default">src</span><span class="default">,</span><span class="default">tgt</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">src :</span>
      <dd><p class="para">Source points</p></dd></dt>
   <dt><span class="term">tgt :</span>
      <dd><p class="para">Target points</p></dd></dt>
   <dt><span class="term">tf_type :</span>
      <dd><p class="para">Transformation type, affine or perspective</p></dd></dt>
   <dt><span class="term">mat :</span>
      <dd><p class="para">Transformation matrix</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This functions create the transformation matrix for affine and perspective transform operation.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">src</span> <span class="scilaboperator">=</span> <span class="scilabopenclose">[</span><span class="scilabnumber">261</span> <span class="scilabnumber">412</span><span class="scilabdefault">;</span> <span class="scilabnumber">170</span> <span class="scilabnumber">348</span><span class="scilabdefault">;</span> <span class="scilabnumber">213</span> <span class="scilabnumber">282</span><span class="scilabopenclose">]</span><span class="scilabdefault">;</span>
<span class="scilabid">tgt</span> <span class="scilaboperator">=</span> <span class="scilabopenclose">[</span><span class="scilabnumber">175</span> <span class="scilabnumber">412</span><span class="scilabdefault">;</span> <span class="scilabnumber">170</span> <span class="scilabnumber">308</span><span class="scilabdefault">;</span> <span class="scilabnumber">251</span> <span class="scilabnumber">308</span><span class="scilabopenclose">]</span><span class="scilabdefault">;</span>
<span class="scilabid">mat</span> <span class="scilaboperator">=</span> <span class="scilabid">imgettransform</span><span class="scilabopenclose">(</span><span class="scilabid">src</span><span class="scilabdefault">,</span><span class="scilabid">tgt</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">affine</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="warpmatselect.html" class="link">warpmatselect</a></li>
   <li class="member"><a href="imtransform.html" class="link">imtransform</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imfuse.html">&lt;&lt; imfuse</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_c6b4f04b7f17c60d11c80f2259ac5c53.html">Image Registration and Image Fusion</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imphasecorr.html">imphasecorr &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
